Create Data Source

Prev Next
Post
/api/v1/Authoring/data-source

Create a new data source

Body parameters

Information about the new data source

Expand All
object
name
string Required

The data source name

Min length1
referenceKey
string Required

The data source reference key

Min length1
description
string | null

The data source description

environmentId
integer (int32) Required

The ID of the data source's environment

connection
object (Configuration.Api.Models.v1.DataSourceConnectionAdd) Required
engineId
integer (int32) Required

The data processing engine ID to use for the connection

connectionType
string Required
Valid values[ "SqlServer", "OLEDB", "ODBC", "Snowflake", "PostgreSql", "PythonScript", "SnowflakeEngine", "Databricks", "DatabricksEngine" ]
dataSourceTemplateId
integer (int32) | null

The data source template ID to use for the connection

dataAgentGroupId
integer (int32) | null

The data agent group ID to use for the connection

description
string | null

The connection description

configuration

The connection's configuration

OneOf
Common.DataSourceConnectionConfigurationDatabase
object (Common.DataSourceConnectionConfigurationDatabase)
connectionString
string
password
string | null
Common.DataSourceConnectionConfigurationScript
object (Common.DataSourceConnectionConfigurationScript)
preExecutionScript
string | null
postExecutionScript
string | null
parameters
Array of object (Common.DataSourceConnectionParsedParameter)
object
id
integer (int32)
value
string | null
hasSecretValue
boolean
clearValue
boolean
resetValue
boolean
Common.DataSourceConnectionConfigurationSnowflake
object (Common.DataSourceConnectionConfigurationSnowflake)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
previewRoleName
string | null
Common.DataSourceConnectionConfigurationDatabricks
object (Common.DataSourceConnectionConfigurationDatabricks)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
projectIds
Array of integer

The IDs of the projects allowed to use the data source

integer (int32)
permissions
Array of object (Common.DataSourcePermission) Required

List of permissions to add to the data source

object
roleSet
string | null
roles
Array of string | null
string
Valid values[ "ViewMetadata", "CreateTests", "RunTests", "ViewTestResults", "RunProfileSets", "ManagePermissions", "ManageConnections", "ManageDataProfiling", "EditMetadata", "ExportTestResults", "ManageTrustScores", "PreviewData" ]
schemaMetadata
object (Common.DataSourceSchemaMetadataDetail)
dataSourceScript
string | null
schemaScript
string | null
tableScript
string | null
columnScript
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
customMetadataSources
Array of object (Common.DataSourceCustomMetadataProcessDetail)

List of custom metadata sources to add to the data source

object
ingestType
string Required
Valid values[ "File", "Query" ]
sameAsPrimary
boolean
name
string Required
Min length1
description
string | null
certifyCustomFieldValues
boolean
ignoreMissingMetadata
boolean
dataSourceActive
boolean
dataSourceSql
string | null
schemaActive
boolean
schemaSql
string | null
tableActive
boolean
tableSql
string | null
columnActive
boolean
columnSql
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileSets
Array of object (Common.DataSourceProfileSetDetail)

List of profile sets to add to the data source

object
name
string | null
description
string | null
connectionRole
string
Valid values[ "Primary", "DataProfile" ]
maxConcurrentQueries
integer (int32)
maxProfilesPerQuery
integer (int32)
purgeResults
boolean
purgeResultsAfterDays
integer (int32) | null
selectedProfileDefs
Array of string
string
metadataFilters
Array of object (Common.MetaObjectTechnicalProfileSetFilter)
object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
customFilters
Array of object (Common.MetaObjectCustomProfileSetFilter)
object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
field
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileScriptKey
string | null
customProfiles
Array of object (Common.DataSourceProfileCustomDetail)

List of custom profiles to add to the data source

object
name
string Required
Min length1
referenceKey
string Required
Min length1
description
string | null
level
string Required
Valid values[ "Table", "Column" ]
format
string Required
Valid values[ "NumericValue", "StringValue", "DateTimeValue", "NumericArray", "StringArray", "DateTimeArray", "PercentValue" ]
restrictToDataTypes
boolean
formulaType
string Required
Valid values[ "Query", "NetCalculation", "PythonCalculation" ]
fromScript
string | null
aggregateScript
string | null
groupingScript
string | null
netFormulaExpression
string | null
pythonFormulaExpression
string | null
conditionExpression
string | null
selectedDataTypes
Array of string
string
Expand All
object
name
string Required

The data source name

Min length1
referenceKey
string Required

The data source reference key

Min length1
description
string | null

The data source description

environmentId
integer (int32) Required

The ID of the data source's environment

connection
object (Configuration.Api.Models.v1.DataSourceConnectionAdd) Required
engineId
integer (int32) Required

The data processing engine ID to use for the connection

connectionType
string Required
Valid values[ "SqlServer", "OLEDB", "ODBC", "Snowflake", "PostgreSql", "PythonScript", "SnowflakeEngine", "Databricks", "DatabricksEngine" ]
dataSourceTemplateId
integer (int32) | null

The data source template ID to use for the connection

dataAgentGroupId
integer (int32) | null

The data agent group ID to use for the connection

description
string | null

The connection description

configuration

The connection's configuration

OneOf
Common.DataSourceConnectionConfigurationDatabase
object (Common.DataSourceConnectionConfigurationDatabase)
connectionString
string
password
string | null
Common.DataSourceConnectionConfigurationScript
object (Common.DataSourceConnectionConfigurationScript)
preExecutionScript
string | null
postExecutionScript
string | null
parameters
Array of object (Common.DataSourceConnectionParsedParameter)
object
id
integer (int32)
value
string | null
hasSecretValue
boolean
clearValue
boolean
resetValue
boolean
Common.DataSourceConnectionConfigurationSnowflake
object (Common.DataSourceConnectionConfigurationSnowflake)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
previewRoleName
string | null
Common.DataSourceConnectionConfigurationDatabricks
object (Common.DataSourceConnectionConfigurationDatabricks)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
projectIds
Array of integer

The IDs of the projects allowed to use the data source

integer (int32)
permissions
Array of object (Common.DataSourcePermission) Required

List of permissions to add to the data source

object
roleSet
string | null
roles
Array of string | null
string
Valid values[ "ViewMetadata", "CreateTests", "RunTests", "ViewTestResults", "RunProfileSets", "ManagePermissions", "ManageConnections", "ManageDataProfiling", "EditMetadata", "ExportTestResults", "ManageTrustScores", "PreviewData" ]
schemaMetadata
object (Common.DataSourceSchemaMetadataDetail)
dataSourceScript
string | null
schemaScript
string | null
tableScript
string | null
columnScript
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
customMetadataSources
Array of object (Common.DataSourceCustomMetadataProcessDetail)

List of custom metadata sources to add to the data source

object
ingestType
string Required
Valid values[ "File", "Query" ]
sameAsPrimary
boolean
name
string Required
Min length1
description
string | null
certifyCustomFieldValues
boolean
ignoreMissingMetadata
boolean
dataSourceActive
boolean
dataSourceSql
string | null
schemaActive
boolean
schemaSql
string | null
tableActive
boolean
tableSql
string | null
columnActive
boolean
columnSql
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileSets
Array of object (Common.DataSourceProfileSetDetail)

List of profile sets to add to the data source

object
name
string | null
description
string | null
connectionRole
string
Valid values[ "Primary", "DataProfile" ]
maxConcurrentQueries
integer (int32)
maxProfilesPerQuery
integer (int32)
purgeResults
boolean
purgeResultsAfterDays
integer (int32) | null
selectedProfileDefs
Array of string
string
metadataFilters
Array of object (Common.MetaObjectTechnicalProfileSetFilter)
object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
customFilters
Array of object (Common.MetaObjectCustomProfileSetFilter)
object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
field
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileScriptKey
string | null
customProfiles
Array of object (Common.DataSourceProfileCustomDetail)

List of custom profiles to add to the data source

object
name
string Required
Min length1
referenceKey
string Required
Min length1
description
string | null
level
string Required
Valid values[ "Table", "Column" ]
format
string Required
Valid values[ "NumericValue", "StringValue", "DateTimeValue", "NumericArray", "StringArray", "DateTimeArray", "PercentValue" ]
restrictToDataTypes
boolean
formulaType
string Required
Valid values[ "Query", "NetCalculation", "PythonCalculation" ]
fromScript
string | null
aggregateScript
string | null
groupingScript
string | null
netFormulaExpression
string | null
pythonFormulaExpression
string | null
conditionExpression
string | null
selectedDataTypes
Array of string
string
Expand All
object
name
string Required

The data source name

Min length1
referenceKey
string Required

The data source reference key

Min length1
description
string | null

The data source description

environmentId
integer (int32) Required

The ID of the data source's environment

connection
object (Configuration.Api.Models.v1.DataSourceConnectionAdd) Required
engineId
integer (int32) Required

The data processing engine ID to use for the connection

connectionType
string Required
Valid values[ "SqlServer", "OLEDB", "ODBC", "Snowflake", "PostgreSql", "PythonScript", "SnowflakeEngine", "Databricks", "DatabricksEngine" ]
dataSourceTemplateId
integer (int32) | null

The data source template ID to use for the connection

dataAgentGroupId
integer (int32) | null

The data agent group ID to use for the connection

description
string | null

The connection description

configuration

The connection's configuration

OneOf
Common.DataSourceConnectionConfigurationDatabase
object (Common.DataSourceConnectionConfigurationDatabase)
connectionString
string
password
string | null
Common.DataSourceConnectionConfigurationScript
object (Common.DataSourceConnectionConfigurationScript)
preExecutionScript
string | null
postExecutionScript
string | null
parameters
Array of object (Common.DataSourceConnectionParsedParameter)
object
id
integer (int32)
value
string | null
hasSecretValue
boolean
clearValue
boolean
resetValue
boolean
Common.DataSourceConnectionConfigurationSnowflake
object (Common.DataSourceConnectionConfigurationSnowflake)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
previewRoleName
string | null
Common.DataSourceConnectionConfigurationDatabricks
object (Common.DataSourceConnectionConfigurationDatabricks)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
projectIds
Array of integer

The IDs of the projects allowed to use the data source

integer (int32)
permissions
Array of object (Common.DataSourcePermission) Required

List of permissions to add to the data source

object
roleSet
string | null
roles
Array of string | null
string
Valid values[ "ViewMetadata", "CreateTests", "RunTests", "ViewTestResults", "RunProfileSets", "ManagePermissions", "ManageConnections", "ManageDataProfiling", "EditMetadata", "ExportTestResults", "ManageTrustScores", "PreviewData" ]
schemaMetadata
object (Common.DataSourceSchemaMetadataDetail)
dataSourceScript
string | null
schemaScript
string | null
tableScript
string | null
columnScript
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
customMetadataSources
Array of object (Common.DataSourceCustomMetadataProcessDetail)

List of custom metadata sources to add to the data source

object
ingestType
string Required
Valid values[ "File", "Query" ]
sameAsPrimary
boolean
name
string Required
Min length1
description
string | null
certifyCustomFieldValues
boolean
ignoreMissingMetadata
boolean
dataSourceActive
boolean
dataSourceSql
string | null
schemaActive
boolean
schemaSql
string | null
tableActive
boolean
tableSql
string | null
columnActive
boolean
columnSql
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileSets
Array of object (Common.DataSourceProfileSetDetail)

List of profile sets to add to the data source

object
name
string | null
description
string | null
connectionRole
string
Valid values[ "Primary", "DataProfile" ]
maxConcurrentQueries
integer (int32)
maxProfilesPerQuery
integer (int32)
purgeResults
boolean
purgeResultsAfterDays
integer (int32) | null
selectedProfileDefs
Array of string
string
metadataFilters
Array of object (Common.MetaObjectTechnicalProfileSetFilter)
object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
customFilters
Array of object (Common.MetaObjectCustomProfileSetFilter)
object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
field
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileScriptKey
string | null
customProfiles
Array of object (Common.DataSourceProfileCustomDetail)

List of custom profiles to add to the data source

object
name
string Required
Min length1
referenceKey
string Required
Min length1
description
string | null
level
string Required
Valid values[ "Table", "Column" ]
format
string Required
Valid values[ "NumericValue", "StringValue", "DateTimeValue", "NumericArray", "StringArray", "DateTimeArray", "PercentValue" ]
restrictToDataTypes
boolean
formulaType
string Required
Valid values[ "Query", "NetCalculation", "PythonCalculation" ]
fromScript
string | null
aggregateScript
string | null
groupingScript
string | null
netFormulaExpression
string | null
pythonFormulaExpression
string | null
conditionExpression
string | null
selectedDataTypes
Array of string
string
Expand All
object
name
string Required

The data source name

Min length1
referenceKey
string Required

The data source reference key

Min length1
description
string | null

The data source description

environmentId
integer (int32) Required

The ID of the data source's environment

connection
object (Configuration.Api.Models.v1.DataSourceConnectionAdd) Required
engineId
integer (int32) Required

The data processing engine ID to use for the connection

connectionType
string Required
Valid values[ "SqlServer", "OLEDB", "ODBC", "Snowflake", "PostgreSql", "PythonScript", "SnowflakeEngine", "Databricks", "DatabricksEngine" ]
dataSourceTemplateId
integer (int32) | null

The data source template ID to use for the connection

dataAgentGroupId
integer (int32) | null

The data agent group ID to use for the connection

description
string | null

The connection description

configuration

The connection's configuration

OneOf
Common.DataSourceConnectionConfigurationDatabase
object (Common.DataSourceConnectionConfigurationDatabase)
connectionString
string
password
string | null
Common.DataSourceConnectionConfigurationScript
object (Common.DataSourceConnectionConfigurationScript)
preExecutionScript
string | null
postExecutionScript
string | null
parameters
Array of object (Common.DataSourceConnectionParsedParameter)
object
id
integer (int32)
value
string | null
hasSecretValue
boolean
clearValue
boolean
resetValue
boolean
Common.DataSourceConnectionConfigurationSnowflake
object (Common.DataSourceConnectionConfigurationSnowflake)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
previewRoleName
string | null
Common.DataSourceConnectionConfigurationDatabricks
object (Common.DataSourceConnectionConfigurationDatabricks)
engineType
string
databaseName
string Required
Min length1
schemaName
string | null
projectIds
Array of integer

The IDs of the projects allowed to use the data source

integer (int32)
permissions
Array of object (Common.DataSourcePermission) Required

List of permissions to add to the data source

object
roleSet
string | null
roles
Array of string | null
string
Valid values[ "ViewMetadata", "CreateTests", "RunTests", "ViewTestResults", "RunProfileSets", "ManagePermissions", "ManageConnections", "ManageDataProfiling", "EditMetadata", "ExportTestResults", "ManageTrustScores", "PreviewData" ]
schemaMetadata
object (Common.DataSourceSchemaMetadataDetail)
dataSourceScript
string | null
schemaScript
string | null
tableScript
string | null
columnScript
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
customMetadataSources
Array of object (Common.DataSourceCustomMetadataProcessDetail)

List of custom metadata sources to add to the data source

object
ingestType
string Required
Valid values[ "File", "Query" ]
sameAsPrimary
boolean
name
string Required
Min length1
description
string | null
certifyCustomFieldValues
boolean
ignoreMissingMetadata
boolean
dataSourceActive
boolean
dataSourceSql
string | null
schemaActive
boolean
schemaSql
string | null
tableActive
boolean
tableSql
string | null
columnActive
boolean
columnSql
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileSets
Array of object (Common.DataSourceProfileSetDetail)

List of profile sets to add to the data source

object
name
string | null
description
string | null
connectionRole
string
Valid values[ "Primary", "DataProfile" ]
maxConcurrentQueries
integer (int32)
maxProfilesPerQuery
integer (int32)
purgeResults
boolean
purgeResultsAfterDays
integer (int32) | null
selectedProfileDefs
Array of string
string
metadataFilters
Array of object (Common.MetaObjectTechnicalProfileSetFilter)
object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
customFilters
Array of object (Common.MetaObjectCustomProfileSetFilter)
object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
field
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string Required
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileScriptKey
string | null
customProfiles
Array of object (Common.DataSourceProfileCustomDetail)

List of custom profiles to add to the data source

object
name
string Required
Min length1
referenceKey
string Required
Min length1
description
string | null
level
string Required
Valid values[ "Table", "Column" ]
format
string Required
Valid values[ "NumericValue", "StringValue", "DateTimeValue", "NumericArray", "StringArray", "DateTimeArray", "PercentValue" ]
restrictToDataTypes
boolean
formulaType
string Required
Valid values[ "Query", "NetCalculation", "PythonCalculation" ]
fromScript
string | null
aggregateScript
string | null
groupingScript
string | null
netFormulaExpression
string | null
pythonFormulaExpression
string | null
conditionExpression
string | null
selectedDataTypes
Array of string
string
Responses
200

OK

object
id
integer (int32)

The ID of the added data source

name
string | null

The name of the added data source

400

Bad Request

object
errors
Array of string
string
403

Forbidden